#! /bin/bash

EH100_DRIVER=eHealth100_usbd
CTAPI_DLL=CT_eHealth100
STARTUP_SCRIPT=eHealth100usbd
STARTUP_PROP=StartupParameters.plist
LIBUSB=libusb.dylib

EH100_DRIVER_VER=1.02
CTAPI_DLL_VER=1.02
LIBUSB_VER=0.1.12

INCLUDE_VER_IN_TARGET=Y

DRIVER_INSTALL_PATH=/usr/local/bin
STARTUP_INSTALL_PATH=/Library/StartupItems
STARTUP_ITEM_DIR_NAME=$STARTUP_SCRIPT
CTAPI_DLL_INSTALL_PATH=/usr/local/lib
LIBUSB_INSTALL_PATH=/usr/local/scm/lib
RECEIPT_INSTALL_PATH=/Library/Receipts

SystemStarter stop $STARTUP_SCRIPT

if [ $INCLUDE_VER_IN_TARGET = Y ]; then
	SRC_FILE=lib"$CTAPI_DLL"-"$CTAPI_DLL_VER".dylib
else
	SRC_FILE=lib$CTAPI_DLL.dylib
fi

LINK_FILE=lib$CTAPI_DLL.dylib

rm -f $CTAPI_DLL_INSTALL_PATH/$LINK_FILE
rm -f $CTAPI_DLL_INSTALL_PATH/$SRC_FILE

if [ $INCLUDE_VER_IN_TARGET = Y ]; then
	SRC_FILE="$EH100_DRIVER"-"$EH100_DRIVER_VER"
else
	SRC_FILE=$EH100_DRIVER
fi

LINK_FILE=$EH100_DRIVER

rm -f $DRIVER_INSTALL_PATH/$LINK_FILE
rm -f $DRIVER_INSTALL_PATH/$SRC_FILE

rm -rf $STARTUP_INSTALL_PATH/$STARTUP_ITEM_DIR_NAME

rm -f $LIBUSB_INSTALL_PATH/$LIBUSB

rm -rf $RECEIPT_INSTALL_PATH/ctapidll_release_$CTAPI_DLL_VER.pkg
rm -rf $RECEIPT_INSTALL_PATH/libusb_release_$LIBUSB_VER.pkg
rm -rf $RECEIPT_INSTALL_PATH/usbdaemon_release_$EH100_DRIVER_VER.pkg
rm -rf $RECEIPT_INSTALL_PATH/startupitem.pkg

echo "Uninstallation done"

exit 0
